TAIL(1)

NAME
tail - deliver the last part of a file

SYNOPSIS
tail +_number[l_b_c_][r_f_] [ file ]

DESCRIPTION
Tail copies the named file to the standard output beginning at a designated place. If no file is named, the standard input is used.

Copying begins at distance +number from the beginning, or -number from the end of the input. Number is counted in units of lines, blocks or characters, according to the appended option l, b or c. When no units are specified, counting is by lines.

Specifying r causes tail to print lines from the end of the file in reverse order. The default for r is to print the entire file this way. Specifying f causes tail to not quit at end of file, but rather wait and try to read repeatedly in hopes that the file will grow.

SEE ALSO
dd(1)

BUGS
Tails relative to the end of the file are treasured up in a buffer, and thus are limited in length.

Various kinds of anomalous behavior may happen with character special files.